MakeMCHullWhiteCapFloorEngine< RNG, S > Class Template Reference

Monte Carlo Hull-White cap-floor engine factory. More...

`#include <ql/pricingengines/capfloor/mchullwhiteengine.hpp>`

## Public Member Functions

| MakeMCHullWhiteCapFloorEngine (const boost::shared_ptr< HullWhite > &)
MakeMCHullWhiteCapFloorEngine & | withBrownianBridge (bool b=true)
MakeMCHullWhiteCapFloorEngine & | withSamples (Size samples)
MakeMCHullWhiteCapFloorEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCHullWhiteCapFloorEngine & | withMaxSamples (Size samples)
MakeMCHullWhiteCapFloorEngine & | withSeed (BigNatural seed)
MakeMCHullWhiteCapFloorEngine & | withAntitheticVariate (bool b=true)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCHullWhiteCapFloorEngine< RNG, S >

Monte Carlo Hull-White cap-floor engine factory.